/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Apr 29 17:48:15 CEST 2002
    copyright            : (C) 2002 by Christian Nitschkowski
    email                : segfault_ii@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "oooqs.h"

#include <kaboutapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kuniqueapplication.h>

static const char *description =
	I18N_NOOP("OpenOffice.org Quickstarter");
	
static KCmdLineOptions options[] =
{
	{ 0, 0, 0 }
	// INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "oooqs", I18N_NOOP("OpenOffice.org Quickstarter"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2002, Christian Nitschkowski", 0, 0, "segfault_ii@web.de");
	aboutData.addAuthor("Christian Nitschkowski",0, "segfault_ii@web.de");
	aboutData.addCredit("Sebastian Latz", I18N_NOOP("Thanks for some good suggestions\nand converting the help-texts to the DocBook-format"), "sibbi.l@gmx.de");
	aboutData.addCredit("Michael Krauter", I18N_NOOP("Thanks for sending me a patch for a better quickstart-mode,\n making suggestions and for telling me how to\naccess the wizards."), "m.krauter@gmx.net");
	aboutData.addCredit("Gregor Waluga", I18N_NOOP("Thanks for a bunch of good suggestions,\ncomments about this app\nand for writing the documentation"), "gwaluga@computerbraxas.de");
	aboutData.addCredit(I18N_NOOP("Some others"), I18N_NOOP("Thanks for various little things like\nproof-reading of the documentation"));
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

	KUniqueApplication a;
	//KApplication a;
	OooQs *oooqs = new OooQs(&aboutData, new KAboutApplication(&aboutData));
	a.setMainWidget(oooqs);

	oooqs->connect (&a, SIGNAL (shutDown()), oooqs, SLOT (killQuickstart()));
	oooqs->show();

	return a.exec();
}
